Search all
curl --request GET \
--url https://api.byblend.com/api/v1/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"rank": 0.7,
"result_type": "patient",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"gender": "male",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"ssn": "123456789",
"primary_language": "en",
"guardian_name": "John Guardian",
"guardian_phone": "6417383445",
"guardian_email": "parent@example.com",
"guardian_relationship": "parent",
"height_inches": 72,
"weight_pounds": 180,
"external_id": "1234567890",
"is_smoker": false,
"is_diabetic": false,
"is_pregnant": false,
"receive_sms": true,
"receive_email": true,
"address": {
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"address_2": "Apt 227",
"country": "US"
},
"is_minor": false
}
]
}Search
Search all
Search across orders, patients, prescribers, products and tasks.
GET
/
api
/
v1
/
search
Search all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query. Enclose phrases in URL-escaped quotes to search for an exact phrase, e.g. "Joe Public." Searchable fields include ID, order number, name, email, phone, prescriber identifiers, product name and SKU. Substring search is supported for all fields.
Example:
"1234567890"
Optional limit on the number of results to return. Max is 100, default is 50.
Example:
100
Response
200 - application/json
Successful response with array of search results, ordered by relevance. The result_type in each item is one of order, patient, prescriber, prescription, non_prescription, order_material, or task.
results
(Patient · object | Order · object | Prescriber · object | Prescription product · object | Non-prescription product · object | Order material · object | Task · object)[]
- Patient
- Order
- Prescriber
- Prescription product
- Non-prescription product
- Order material
- Task
Show child attributes
Show child attributes